<%@ PAGE LANGUAGE="C#" %>
<html>
<head>
<script runat="server">
void Page_Load(Object sender, EventArgs e) {
	if (!IsPostBack) {
		listbox1.Items.Add(new ListItem("Windows XP"));
		listbox1.Items.Add(new ListItem("Windows 2000"));
		listbox1.Items.Add(new ListItem("Windows Me"));
		listbox1.Items.Add(new ListItem("Windows 98"));

		listbox1.Items[0].Selected = true;

		dropdown1.Items.Add(new ListItem("C#.NET", "0"));
		dropdown1.Items.Add(new ListItem("VB.NET", "1"));
		dropdown1.Items.Add(new ListItem("JScript.NET", "2"));
		dropdown1.Items.Add(new ListItem("C++.NET", "3"));

		dropdown1.SelectedIndex = 1;

		string[] labels1 = {
			"ASP.NET", "ADO.NET", "WebService", "XML" };
		foreach (string t in labels1) {
			checklist1.Items.Add(new ListItem(t));
		}
		string[] labels2 = {
			"hoge", "foo", "bar", "aho" };
		for (int i = 0; i < labels2.Length; i++) {
			radiolist1.Items.Add(new ListItem(labels2[i], i.ToString()));
		}
	} else {
		string t = "";
		string punc = "";

		if (listbox1.SelectedItem != null) {
			t += listbox1.SelectedItem.Value;
			punc = ", ";
		}

		t += punc + dropdown1.SelectedItem.Value;
		punc = ", ";

		t += ", (";
		punc = "";
		foreach (ListItem v in checklist1.Items) {
			if (v.Selected)	{
				t += punc + v.Value;
				punc = ", ";
			}
		}
		t += ")";
		if (radiolist1.SelectedItem != null) {
			t += ", " + radiolist1.SelectedItem.Value;
		}
		textbox1.Text = t;
	}
}
</script>
</head>
<body>
<form runat="server">
	<asp:TextBox id="textbox1" Columns="80" runat="server" />
	<br>

	<table>
	<tr>
		<td>asp:ListBox</td>
		<td>asp:DropDownList</td>
		<td>asp:CheckBoxList</td>
		<td>asp:RadioButtonList</td>
	</tr>
	<tr>
	<td>
		<asp:ListBox id="listbox1" runat="server" />
	</td>
	<td>
		<asp:DropDownList id="dropdown1" runat="server" />
	</td>
	<td>
		<asp:CheckBoxList id="checklist1" runat="server" />
	</td>
	<td>
		<asp:RadioButtonList id="radiolist1" runat="server" />
	</td>
	</tr>
	</table>

	<asp:Button Text="OK" runat="server" />
</form>
</body>
</html>
